//Copyright (c) 2004-2006 Xilinx, Inc.  All rights reserved. 

package org.eclipse.cdt.debug.mi.core.cdi.event;

import java.io.DataOutputStream;
import java.io.IOException;
import java.net.Socket;

import org.eclipse.cdt.debug.mi.core.cdi.Session;

// XILINX_EDK

public class XMDDisconnectEvent
{
	private static final int XMD_DISCON_PORT_INIT = 7857;
	private static final int maxLaunchTries = 10;
	
	public static void signalDiscon(Session s)
	{
		int XMDDisconPort = XMD_DISCON_PORT_INIT;
		// Send signals to all possible targets open
		for ( int i=0; i <  maxLaunchTries; i++ )
		{
			XMDDisconPort = XMD_DISCON_PORT_INIT + i * 7;
			try 
			{
				Socket socket = new Socket("localhost", XMDDisconPort);
				DataOutputStream socOutStream = new DataOutputStream( socket.getOutputStream() );
				socOutStream.writeBytes(s.toString() + "##");
				socOutStream.flush();
				//break;
			}
			catch (IOException ioe) 
			{
				//System.out.println("Couldn't issue terminate Target connection: "+XMDDisconPort);
				//continue;
				break;
			}
		}
	}
}
